Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CDR_Size.h File Reference

`#include "ace/CDR_Base.h"`
`#include "ace/CDR_Stream.h"`
`#include "ace/SStringfwd.h"`
`#include "ace/CDR_Size.inl"`

Include dependency graph for CDR_Size.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_SizeCDR
| A CDR stream for calculating size of the representation. More...
## Functions
ACE_Export ACE_CDR::Boolean | operator<< (ACE_SizeCDR &ss, const ACE_CString &x)

## Detailed Description

Id
  CDR_Size.h,v 4.3 2006/01/25 13:05:49 jwillemsen Exp

ACE Common Data Representation (CDR) size-calculating stream.

The current implementation assumes that the host has 1-byte, 2-byte and 4-byte integral types, and that it has single precision and double precision IEEE floats. Those assumptions are pretty good these days, with Crays beign the only known exception.

Author:
  Boris Kolpackov <boris@kolpackov.net>

## Function Documentation

ACE_Export ACE_CDR::Boolean operator<< | ( | ACE_SizeCDR & | ss,
|  | const ACE_CString & | x
| ) |